#ifndef __font_h__
#define __font_h__

#define FONT_FontFile "assets/fonts/monofur.ttf"

// Externs
extern SDL_Color FONT_FontColor;
extern TTF_Font * FONT_FontFamily;
// End Externs

// Prototypes
void FONT_Initialize();
void FONT_PrintFontStyle(TTF_Font * ffont);
void FONT_Deinitialize();
void FONT_RenderText(SDL_Renderer * renderer, char * text, SDL_Rect * dstRect);
SDL_Texture * FONT_GenerateTexture(SDL_Renderer * renderer, char * text, SDL_Rect * Message_rect);
SDL_Surface * FONT_GenerateSurface(char * text, SDL_Rect * Message_rect);
// End Prototypes

#endif // __font_h__
